libwpd: WP42Listener Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP42Listener Class Reference

`#include <WP42Listener.h>`

Inheritance diagram for WP42Listener:

List of all members.

## Public Member Functions
| WP42Listener (std::vector< WPXPageSpan * > *pageList, WPXHLListenerImpl *listenerImpl)
virtual | ~WP42Listener ()
virtual void | setAlignmentCharacter (const uint16_t character)
virtual void | setLeaderCharacter (const uint16_t character, const uint8_t numberOfSpaces)
virtual void | defineTabStops (const bool isRelative, const std::vector< WPXTabStop > &tabStops, const std::vector< bool > &usePreWP9LeaderMethods)
virtual void | insertCharacter (const uint16_t character)
virtual void | insertTab (const uint8_t tabType, const float tabPosition)
virtual void | handleLineBreak ()
virtual void | insertEOL ()
virtual void | attributeChange (const bool isOn, const uint8_t attribute)
virtual void | lineSpacingChange (const float lineSpacing)
virtual void | spacingAfterParagraphChange (const float spacingRelative, const float spacingAbsolute)
virtual void | justificationChange (const uint8_t justification)
virtual void | pageMarginChange (const uint8_t side, const uint16_t margin)
virtual void | pageFormChange (const uint16_t length, const uint16_t width, const WPXFormOrientation orientation, const bool isPersistent)
virtual void | marginChange (const uint8_t side, const uint16_t margin)
virtual void | paragraphMarginChange (const uint8_t side, const int16_t margin)
virtual void | indentFirstLineChange (const int16_t offset)
virtual void | columnChange (const WPXTextColumnType typeColumn, const uint8_t numColumns, const std::vector< float > &columnWidth, const std::vector< bool > &isFixedWidth)
virtual void | endDocument ()
virtual void | defineTable (const uint8_t position, const uint16_t leftOffset)
virtual void | addTableColumnDefinition (const uint32_t width, const uint32_t leftGutter, const uint32_t rightGutter, const uint32_t attributes, const uint8_t alignment)
virtual void | startTable ()
virtual void | insertRow (const uint16_t rowHeight, const bool isMinimumHeight, const bool isHeaderRow)
virtual void | insertCell (const uint8_t colSpan, const uint8_t rowSpan, const bool boundFromLeft, const bool boundFromAbove, const uint8_t borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const uint32_t cellAttributes)
virtual void | endTable ()
## Protected Member Functions
virtual void | _handleSubDocument (const WPXSubDocument *subDocument, const bool isHeaderFooter, WPXTableList tableList, int nextTableIndice=0)
## Private Member Functions
void | _flushText ()
void | _changeList ()
## Private Attributes
WP42ParsingState * | m_parseState

## Constructor & Destructor Documentation

WP42Listener::WP42Listener | ( | std::vector< WPXPageSpan * > * | pageList,
|  | WPXHLListenerImpl * | listenerImpl
| ) |

WP42Listener::~WP42Listener | ( |  | ) | `[virtual]`

## Member Function Documentation

void WP42Listener::_changeList | ( |  | ) | `[inline, private, virtual]`

| Implements WPXListener.

void WP42Listener::_flushText | ( |  | ) | `[private, virtual]`

| Implements WPXListener.

virtual void WP42Listener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | const bool | isHeaderFooter,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) | `[inline, protected, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::addTableColumnDefinition | ( | const uint32_t | width,
|  | const uint32_t | leftGutter,
|  | const uint32_t | rightGutter,
|  | const uint32_t | attributes,
|  | const uint8_t | alignment
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

void WP42Listener::attributeChange | ( | const bool | isOn,
|  | const uint8_t | attribute
| ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::columnChange | ( | const WPXTextColumnType | typeColumn,
|  | const uint8_t | numColumns,
|  | const std::vector< float > & | columnWidth,
|  | const std::vector< bool > & | isFixedWidth
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::defineTable | ( | const uint8_t | position,
|  | const uint16_t | leftOffset
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::defineTabStops | ( | const bool | isRelative,
|  | const std::vector< WPXTabStop > & | tabStops,
|  | const std::vector< bool > & | usePreWP9LeaderMethods
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

void WP42Listener::endDocument | ( |  | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::endTable | ( |  | ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::handleLineBreak | ( |  | ) | `[inline, virtual]`

| Implements WPXListener.

virtual void WP42Listener::indentFirstLineChange | ( | const int16_t | offset | ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::insertCell | ( | const uint8_t | colSpan,
|  | const uint8_t | rowSpan,
|  | const bool | boundFromLeft,
|  | const bool | boundFromAbove,
|  | const uint8_t | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment,
|  | const bool | useCellAttributes,
|  | const uint32_t | cellAttributes
| ) | `[inline, virtual]`

void WP42Listener::insertCharacter | ( | const uint16_t | character | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

void WP42Listener::insertEOL | ( |  | ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::insertRow | ( | const uint16_t | rowHeight,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) | `[inline, virtual]`

| Reimplemented in WP42StylesListener.

void WP42Listener::insertTab | ( | const uint8_t | tabType,
|  | const float | tabPosition
| ) | `[virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::justificationChange | ( | const uint8_t | justification | ) | `[inline, virtual]`

| Reimplemented from WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::lineSpacingChange | ( | const float | lineSpacing | ) | `[inline, virtual]`

| Reimplemented from WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::marginChange | ( | const uint8_t | side,
|  | const uint16_t | margin
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::pageFormChange | ( | const uint16_t | length,
|  | const uint16_t | width,
|  | const WPXFormOrientation | orientation,
|  | const bool | isPersistent
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::pageMarginChange | ( | const uint8_t | side,
|  | const uint16_t | margin
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::paragraphMarginChange | ( | const uint8_t | side,
|  | const int16_t | margin
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::setAlignmentCharacter | ( | const uint16_t | character | ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::setLeaderCharacter | ( | const uint16_t | character,
|  | const uint8_t | numberOfSpaces
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::spacingAfterParagraphChange | ( | const float | spacingRelative,
|  | const float | spacingAbsolute
| ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

virtual void WP42Listener::startTable | ( |  | ) | `[inline, virtual]`

| Implements WPXListener. Reimplemented in WP42StylesListener.

## Member Data Documentation

WP42ParsingState* WP42Listener::m_parseState`[private]`

The documentation for this class was generated from the following files:

- WP42Listener.h
- WP42Listener.cpp